package vn.azteam.tpf.service.dto;

import java.io.Serializable;
import java.util.Objects;

/**
 * A DTO for the SeedUsageReport entity.
 */
public class SeedUsageReportDTO implements Serializable {

    private Long seedId;

    private String seedSku;

    private String seedName;

    private Double usagePercentage;

    public Double getUsagePercentage() {
        return usagePercentage;
    }

    public void setUsagePercentage(Double usagePercentage) {
        this.usagePercentage = usagePercentage;
    }


    public Long getSeedId() {
        return seedId;
    }

    public void setSeedId(Long seedId) {
        this.seedId = seedId;
    }

    public String getSeedSku() {
        return seedSku;
    }

    public void setSeedSku(String seedSku) {
        this.seedSku = seedSku;
    }

    public String getSeedName() {
        return seedName;
    }

    public void setSeedName(String seedName) {
        this.seedName = seedName;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) {
            return true;
        }
        if (o == null || getClass() != o.getClass()) {
            return false;
        }

        SeedUsageReportDTO giongUsageReportDTO = (SeedUsageReportDTO) o;
        if (giongUsageReportDTO.getSeedId() == null || getSeedId() == null) {
            return false;
        }
        return Objects.equals(getSeedId(), giongUsageReportDTO.getSeedId());
    }

    @Override
    public int hashCode() {
        return Objects.hashCode(getSeedId());
    }

    @Override
    public String toString() {
        return "SeedUsageReportDTO{" +
            ", usagePercentage='" + getUsagePercentage() + "'" +
            ", giong=" + getSeedId() +
            "}";
    }
}
